Skip to main content
GET
Queries all items.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://auth.jtl-cloud.com/oauth2/auth
Token URL
https://auth.jtl-cloud.com/oauth2/token

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

searchTerm
string

The search term.

searchOperator
enum<integer>

The type of search used. 46 = Begins with, 48 = Contains, 50 = Wildcard

Available options:
46,
48,
50
searchField
enum<integer>[]

The fields that will be searched.

0 = SKU, 1 = GTIN, 2 = MPN, 3 = UPC, 4 = ISBN, 5 = Item name, 6 = Container unit GTIN, 7 = ASIN, 8 = SKU (supplier), 9 = Container unit UPC, 10 = FNSKU, 11 = JTL-Fulfillment ID, 12 = Subset ID, 13 = Shop Suchbegriffe

Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13
extendedFilter
string

The serialized XML from the extended filter.

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

createdDateAfter
string<date-time>

Only include items whose CreatedDate is after (greater than) this value.

createdDateBefore
string<date-time>

Only include items whose CreatedDate is before (less than) this value.

modifiedDateAfter
string<date-time>

Only include items whose ModifiedDate is after (greater than) this value.

modifiedDateBefore
string<date-time>

Only include items whose ModifiedDate is before (less than) this value.

modifiedTimestampAfter
string<date-time>

Only include items whose ModifiedTimestamp is after (greater than) this value.

modifiedTimestampBefore
string<date-time>

Only include items whose ModifiedTimestamp is before (less than) this value.

releaseDateAfter
string<date-time>

Only include items whose ReleaseDate is after (greater than) this value.

releaseDateBefore
string<date-time>

Only include items whose ReleaseDate is before (less than) this value.

lastPurchaseDateAfter
string<date-time>

Only include items whose LastPurchaseDate is after (greater than) this value.

lastPurchaseDateBefore
string<date-time>

Only include items whose LastPurchaseDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
required
pageNumber
integer<int32>
required
pageSize
integer<int32>
required
items
object[]
required
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>